Subject: Re: [apps-discuss] Solving the file format problem

From: Larry Masinter <[email-masked]>
Date: Mon, 19 Nov 2012 01:21:00 -0800

I think there are problems with determining file format based on sniffing or depending on file extensions. So we don't have a way of naming file formats that works for the applications the librarians want for understanding file formats, or any standards or documented ways of determining file format (if we had a way of naming file format) based on giving a file (an application/octet-stream stream of data.)  Now that MIMESNIFF is no longer in WebSec, http://mimesniff.spec.whatwg.org/ doesn't seem like it's going to answer the question ... how do you tell?

An underlying problem to the naming problem is that we don't have a good explanatory model of how file formats change and extend over time, so it's hard to identify what we're naming (especially in a world where file formats are described by versionless Living Standards).

http://tools.ietf.org/html/rfc6709 looks at protocol extensions but from a proscriptive "how to build extensible protocols well" point of view. And protocols and file formats are both kinds of evolvable interfaces, but they evolve differently.

I started writing about file format evolution http://www.w3.org/2001/tag/2011/12/evolution/   but got bogged down; moving it to a Wiki http://www.w3.org/wiki/Evolution only got spam.

> >> > The fact that
> >> > <http://justsolve.archiveteam.org/index.php/Original_Plan#L
> >> > ist_of_Places_Keeping_Track_of_Formats> does not list
> >> > <http://www.iana.org/assignments/media-types/index.html>
> >> > says something; I'm not sure who about, but I doubt it's
> >> > good.